---
title: Rulers
slug: Tools/Rulers
tags:
  - DevTools
  - Firefox
  - Rulers
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>You can overlay horizontal and vertical rulers on a web page:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16364/viewport_rulers.png" style="display: block; height: 724px; margin-left: auto; margin-right: auto; width: 1018px;">The units are in pixels.</p>

<p>The dimensions of the viewport are displayed near the top-right corner of the viewport.</p>

<p>To be able to toggle rulers for a page, you first need to enable the button by going to the settings page for the Developer Tools and checking "Toggle rulers for the page" under Available Toolbox Buttons.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16415/settings_available_buttons.png" style="border: 1px solid black; display: block; height: 247px; margin: 0px auto; width: 315px;"></p>

<p>Once enabled, the "Toggle rulers for the page" button appears at the top right of the Toolbox, in the same place as the Settings/Options button.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16362/ruler_toggle_button.png" style="border: 1px solid black; display: block; height: 326px; margin: 0 auto; width: 394px;"></p>

<p>Behavior to keep in mind when using rulers:</p>

<ul>
 <li>The rulers command must be reapplied in <strong>new tabs</strong> and after <strong>each page refresh.</strong></li>
 <li>The command isn't permanent.</li>
</ul>
